form {
    padding:6px 12px;
    border-radius:5px;
    width:50%;
    margin:0 auto;
    display:grid;
    grid-template-columns:80px 1fr;
    gap:15px;
    font-size:1.125em;
    border:2px solid #000;
}

form div {
    grid-column-start: 2;
    text-align:right;
}